Name:		fping
Version:	5.3
Release:	%mkrel 2
Summary:	Quickly ping N number of hosts to determine their reachability
License:	BSD
Group:		Networking/Other
URL:		https://fping.org/
Source0:	https://fping.org/dist/fping-%{version}.tar.gz

%description
fping is a ping(1) like program which uses the Internet Control Message
Protocol (ICMP) echo request to determine if a host is up. fping is different
from ping in that you can specify any  number of hosts on the command line, or
specify a file containing the lists of hosts to ping. Instead of trying one
host until it timeouts or replies, fping will send out a ping packet and move
on to the next host in a round-robin fashion. If a host replies, it is noted
and removed from the list of hosts to check. If a host does not respond within
a certain time limit and/or retry limit it will be considered unreachable.

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

%files
%doc CHANGELOG.md
%license COPYING
%attr(4755,root,root) %{_sbindir}/fping
%{_mandir}/man8/fping.8*


%changelog
* Tue Jul 01 2025 umeabot <umeabot> 5.3-2.mga10
+ Revision: 2233564
- Mageia 10 Mass Rebuild

* Fri Jan 03 2025 daviddavid <daviddavid> 5.3-1.mga10
+ Revision: 2135039
- new version: 5.3

* Tue Apr 23 2024 daviddavid <daviddavid> 5.2-1.mga10
+ Revision: 2060537
- new version: 5.2

* Tue Sep 27 2022 papoteur <papoteur> 5.1-1.mga9
+ Revision: 1892632
- new 5.1

* Tue Mar 15 2022 umeabot <umeabot> 5.0-2.mga9
+ Revision: 1792885
- Mageia 9 Mass Rebuild

* Fri Aug 07 2020 daviddavid <daviddavid> 5.0-1.mga8
+ Revision: 1611899
- new version: 5.0

* Wed Jul 29 2020 daviddavid <daviddavid> 4.4-1.mga8
+ Revision: 1609488
- new version: 4.4

* Mon Jul 13 2020 daviddavid <daviddavid> 4.3-1.mga8
+ Revision: 1605734
- new version: 4.3
- remove merged upstream patch

* Tue Jun 02 2020 daviddavid <daviddavid> 4.2-3.mga8
+ Revision: 1589637
- patch for GCC 10 requirement to use extern in header files when declaring global variables

* Fri Feb 14 2020 umeabot <umeabot> 4.2-2.mga8
+ Revision: 1523099
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Feb 20 2019 daviddavid <daviddavid> 4.2-1.mga7
+ Revision: 1368904
- new version: 4.2

* Wed Sep 19 2018 daviddavid <daviddavid> 4.1-1.mga7
+ Revision: 1266594
- new version: 4.1

* Tue Jul 18 2017 daviddavid <daviddavid> 4.0-1.mga7
+ Revision: 1124839
- new version: 4.0

* Sun Feb 12 2017 daviddavid <daviddavid> 3.16-1.mga6
+ Revision: 1085794
- new version: 3.16

* Sun Jan 15 2017 daviddavid <daviddavid> 3.15-1.mga6
+ Revision: 1081903
- new version: 3.15
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Sat Dec 05 2015 daviddavid <daviddavid> 3.13-1.mga6
+ Revision: 908328
- new version: 3.13

* Wed Oct 15 2014 umeabot <umeabot> 3.10-3.mga5
+ Revision: 740709
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.10-2.mga5
+ Revision: 679318
- Mageia 5 Mass Rebuild

* Wed May 14 2014 sander85 <sander85> 3.10-1.mga5
+ Revision: 622854
- New version: 3.10

* Wed Feb 12 2014 sander85 <sander85> 3.8-1.mga5
+ Revision: 589868
- New version: 3.8

* Mon Oct 21 2013 umeabot <umeabot> 3.6-2.mga4
+ Revision: 541102
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 oden <oden> 3.6-1.mga4
+ Revision: 495115
- 3.6

* Sat Jun 01 2013 sander85 <sander85> 3.5-1.mga4
+ Revision: 434091
- New version: 3.5

* Fri Jan 11 2013 umeabot <umeabot> 3.4-2.mga3
+ Revision: 350794
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 06 2012 fedya <fedya> 3.4-1.mga3
+ Revision: 288806
- version update 3.4

* Wed Jun 20 2012 guillomovitch <guillomovitch> 3.2-1.mga3
+ Revision: 262171
- new version

* Thu Jan 05 2012 guillomovitch <guillomovitch> 3.0-1.mga2
+ Revision: 191153
- new version
- install under standard prefix
- spec cleanup

* Wed Sep 28 2011 supp <supp> 2.4b2-16.mga2
+ Revision: 149961
- make fping produce binary to ping IPV6 hosts...

* Sat Apr 30 2011 misc <misc> 2.4b2-15.mga1
+ Revision: 93914
- fix License
- increase Release to match the one of mdv

* Wed Jan 12 2011 supp <supp> 2.4b2-1.mga1
+ Revision: 7747
- imported package fping


* Sun Jan 02 2011 Oden Eriksson <oeriksson@mandriva.com> 2.4b2-16mdv2011.0
+ Revision: 627570
- don't force the usage of automake1.7

* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 2.4b2-15mdv2011.0
+ Revision: 605214
- rebuild

* Sun Mar 14 2010 Oden Eriksson <oeriksson@mandriva.com> 2.4b2-14mdv2010.1
+ Revision: 519001
- rebuild

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 2.4b2-13mdv2010.0
+ Revision: 424477
- rebuild

* Fri Dec 19 2008 Oden Eriksson <oeriksson@mandriva.com> 2.4b2-12mdv2009.1
+ Revision: 316200
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 2.4b2-11mdv2009.0
+ Revision: 220987
- rebuild

* Sat Jan 12 2008 Thierry Vignaud <tv@mandriva.org> 2.4b2-10mdv2008.1
+ Revision: 150081
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Wed Nov 22 2006 Oden Eriksson <oeriksson@mandriva.com> 2.4b2-9mdv2007.0
+ Revision: 86337
- Import fping

* Wed Nov 22 2006 Oden Eriksson <oeriksson@mandriva.com> 2.4b2-9
- fix deps

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 2.4b2-8mdk
- Rebuild

* Tue Jun 07 2005 Nicolas Lécureuil <neoclust@mandriva.org> 2.4b2-7mdk
- Rebuild

* Tue Jun 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.4b2-6mdk
- use the fping-2.4b2_to-ipv6 source (ipv6 support)
- added P1 from debian
- misc spec file fixes

